Swarms
Delete a persona
Refused with 409 while journeys still reference this persona — deleting it would strand them.
DELETE
/
projects
/
{projectId}
/
personas
/
{personaId}
Delete a persona
curl --request DELETE \
--url https://app.mcpjam.com/api/v1/projects/{projectId}/personas/{personaId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mcpjam.com/api/v1/projects/{projectId}/personas/{personaId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mcpjam.com/api/v1/projects/{projectId}/personas/{personaId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"projectId": "<string>",
"deleted": true
}
Authorizations
MCPJam API key (sk_…). Create one at Settings → API keys. Guest sessions cannot use the API, and API keys cannot manage other API keys.
Path Parameters
ID of the hosted project that contains the server.
Persona ID, as returned by the project's persona list.
Was this page helpful?
⌘I
Delete a persona

